import { PayloadAction } from '@reduxjs/toolkit';
import { TransferInfo } from '../utils/sdkv2';
import { TransferDestInfo } from '../routes';
export declare enum MessageType {
    BRIDGE = 1,
    RELAY = 3
}
export interface RedeemState {
    txData?: TransferInfo;
    sendTx: string;
    redeemTx: string;
    transferComplete: boolean;
    isVaaEnqueued: boolean;
    isInvalidVaa: boolean;
    route?: string;
    transferDestInfo: TransferDestInfo | undefined;
    isResumeTx: boolean;
    timestamp: number;
}
export declare const redeemSlice: import('@reduxjs/toolkit').Slice<RedeemState, {
    setTxDetails: (state: RedeemState, { payload }: PayloadAction<TransferInfo>) => void;
    setSendTx: (state: RedeemState, { payload }: PayloadAction<string>) => void;
    setRedeemTx: (state: RedeemState, { payload }: {
        payload: any;
        type: string;
    }) => void;
    setRoute: (state: RedeemState, { payload }: {
        payload: any;
        type: string;
    }) => void;
    setTransferComplete: (state: RedeemState, { payload }: PayloadAction<boolean>) => void;
    setIsVaaEnqueued: (state: RedeemState, { payload }: PayloadAction<boolean>) => void;
    setTransferDestInfo: (state: RedeemState, { payload }: PayloadAction<TransferDestInfo | undefined>) => void;
    clearRedeem: (state: RedeemState) => void;
    setInvalidVaa: (state: RedeemState, { payload }: PayloadAction<boolean>) => void;
    setIsResumeTx: (state: RedeemState, { payload }: PayloadAction<boolean>) => void;
    setTimestamp: (state: RedeemState, { payload }: PayloadAction<number>) => void;
}, "redeem">;
export declare const setTxDetails: import('@reduxjs/toolkit').ActionCreatorWithPayload<TransferInfo, "redeem/setTxDetails">, setSendTx: import('@reduxjs/toolkit').ActionCreatorWithPayload<string, "redeem/setSendTx">, setRedeemTx: import('@reduxjs/toolkit').ActionCreatorWithPayload<any, "redeem/setRedeemTx">, setTransferComplete: import('@reduxjs/toolkit').ActionCreatorWithPayload<boolean, "redeem/setTransferComplete">, setIsVaaEnqueued: import('@reduxjs/toolkit').ActionCreatorWithPayload<boolean, "redeem/setIsVaaEnqueued">, setInvalidVaa: import('@reduxjs/toolkit').ActionCreatorWithPayload<boolean, "redeem/setInvalidVaa">, setTransferDestInfo: import('@reduxjs/toolkit').ActionCreatorWithOptionalPayload<TransferDestInfo | undefined, "redeem/setTransferDestInfo">, clearRedeem: import('@reduxjs/toolkit').ActionCreatorWithoutPayload<"redeem/clearRedeem">, setRoute: import('@reduxjs/toolkit').ActionCreatorWithPayload<any, "redeem/setRoute">, setIsResumeTx: import('@reduxjs/toolkit').ActionCreatorWithPayload<boolean, "redeem/setIsResumeTx">, setTimestamp: import('@reduxjs/toolkit').ActionCreatorWithPayload<number, "redeem/setTimestamp">;
declare const _default: import('redux').Reducer<RedeemState>;
export default _default;
//# sourceMappingURL=redeem.d.ts.map